Bug 15793 - UX of circulation patron search with long lists of returned borrowers
Summary: UX of circulation patron search with long lists of returned borrowers
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16336
  Show dependency treegraph
 
Reported: 2016-02-10 21:50 UTC by Liz Rea
Modified: 2016-12-05 21:27 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15793: Add floating toolbar to circulation.tt (4.05 KB, patch)
2016-02-11 20:41 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15793: Add floating toolbar to circulation.tt (4.12 KB, patch)
2016-02-12 02:10 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 15793 - UX of circulation patron search with long lists of returned borrowers (4.39 KB, patch)
2016-02-12 15:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15793 - UX of circulation patron search with long lists of returned borrowers (4.41 KB, patch)
2016-03-23 18:10 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 15793 - UX of circulation patron search with long lists of returned borrowers (3.46 KB, patch)
2016-03-23 21:55 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15793: Add floating toolbar to circulation.tt (4.26 KB, patch)
2016-03-24 08:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15793 - UX of circulation patron search with long lists of returned borrowers (3.17 KB, patch)
2016-03-24 08:03 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15793 - UX of circulation patron search with long lists of returned borrowers (3.33 KB, patch)
2016-03-29 00:41 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15793 - UX of circulation patron search with long lists of returned borrowers (3.62 KB, patch)
2016-03-29 21:46 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15793 - UX of circulation patron search with long lists of returned borrowers (3.76 KB, patch)
2016-03-29 21:57 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 15793 - UX of circulation patron search with long lists of returned borrowers (3.83 KB, patch)
2016-03-31 12:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2016-02-10 21:50:32 UTC
If you do a search from the circulation search that returns a long list of borrowers, it is highly likely that to do anything with your one selected borrower you will have to scroll longer than you'd like to get to the "select" button.

We can improve this interface for librarians by either putting a "select" button at the top (or float it along the list), or changing the names (or some other part) into a link.

I'm open to other implementation suggestions here as well.
Comment 1 Aleisha Amohia 2016-02-11 20:41:11 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2016-02-12 02:10:43 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-02-12 14:34:36 UTC
Status is still 'Needs Signoff' - should it be switched to SO?
Comment 4 Owen Leonard 2016-02-12 15:16:29 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2016-02-12 15:18:58 UTC
Sorry, I don't mean to be a busybody and I certainly appreciate Aleisha's work to come up with a good solution for this. I just want to push it a little further and see if we can simplify even more.

Is there a reason not to use a link here? The method of using form submission includes a lot of hidden fields, but are they used? There are other places in Koha where a checkout is initiated using a plain link, so my assumption is that those hidden fields aren't necessary.
Comment 6 Aleisha Amohia 2016-02-14 20:12:05 UTC
We did think about having every name as a link and just thought a floating toolbar could be cool! Up to whoever signs off and QAs to see which they like best since either works :)
Comment 7 Liz Rea 2016-02-14 20:25:09 UTC
I'm not fussy either way either, I'm happy as long as the problem of "I have to scroll for pages and pages to get to the submit button" is solved. :)

Liz
Comment 8 Mirko Tietgen 2016-03-23 18:10:40 UTC Comment hidden (obsolete)
Comment 9 Mirko Tietgen 2016-03-23 18:12:52 UTC
I prefer the simpler solution Owen provided and signed off on it. What do others think?
Comment 10 Marc Véron 2016-03-23 19:11:30 UTC
(In reply to Mirko Tietgen from comment #9)
> I prefer the simpler solution Owen provided and signed off on it. What do
> others think?

+1
Comment 11 Jonathan Druart 2016-03-23 21:11:25 UTC
Could we have something between the two? :)
It could be easier to have the tr clickable instead of clicking on a link.
Comment 12 Aleisha Amohia 2016-03-23 21:55:51 UTC Comment hidden (obsolete)
Comment 13 Marc Véron 2016-03-24 07:59:25 UTC
(In reply to Aleisha Amohia from comment #12)
> Created attachment 49472 [details] [review] [review]
> Bug 15793 - UX of circulation patron search with long lists of returned
> borrowers
> 
> Okay how about this:
> This patch has no floating toolbar or names styled as links. I've removed
> the radio buttons. The row is clickable and will redirect you to the user's
> page.
> 
> To test:
> 1) Put in a patron search that will bring back a long list of patrons (ie
> the letter 'a')
> 2) Select a patron by clicking anywhere on the row - confirm you are taken
> to the correct patron page
> 
> Sponsored-by: Catalyst IT

Looks fine. Clickable row is the most ergonomic solution (patch 47940 + patch 449472 applied).
Comment 14 Marc Véron 2016-03-24 08:01:12 UTC Comment hidden (obsolete)
Comment 15 Marc Véron 2016-03-24 08:03:05 UTC Comment hidden (obsolete)
Comment 16 Marc Véron 2016-03-24 08:10:30 UTC
Signed off on the two patches.
Strange, while attaching the sign-offs, the alternate patch from Owen Leonard,  was obsoleted as well (2016-03-23 18:10 UTC, signed-off by Mirko Tietgen, 4th patch if you show obsoleted ones). Maybe because of the same title?
Leaving it obsoleted at the moment.
Comment 17 Owen Leonard 2016-03-24 12:57:43 UTC
(In reply to Aleisha Amohia from comment #12)
> This patch has no floating toolbar or names styled as links. I've removed
> the radio buttons. The row is clickable and will redirect you to the user's
> page.

I strongly disagree with this solution. There is no indication at all, now, that the user can perform any action. Nothing looks like a link and the mouse cursor doesn't change to indicate anything is clickable.
Comment 18 Jonathan Druart 2016-03-24 20:18:18 UTC
(In reply to Owen Leonard from comment #17)
> (In reply to Aleisha Amohia from comment #12)
> > This patch has no floating toolbar or names styled as links. I've removed
> > the radio buttons. The row is clickable and will redirect you to the user's
> > page.
> 
> I strongly disagree with this solution. There is no indication at all, now,
> that the user can perform any action. Nothing looks like a link and the
> mouse cursor doesn't change to indicate anything is clickable.

Does the solution work for you if we change the cursor?
Comment 19 Aleisha Amohia 2016-03-29 00:41:22 UTC Comment hidden (obsolete)
Comment 20 Marc Véron 2016-03-29 08:39:59 UTC
(In reply to Aleisha Amohia from comment #19)
(...)
> 
> EDIT: This patch makes the cursor a pointer when hovering over the patrons.
> The row will also be highlighted on hover to make it even clearer.
(...)

Looks OK for me.
Comment 21 Liz Rea 2016-03-29 20:53:39 UTC
Hi, 

Overall I like this - one small thing, if you click the "select" button at the bottom it will say "borrower not found." I feel we should omit it. 

Owen? What do you think?

Liz
Comment 22 Aleisha Amohia 2016-03-29 21:46:27 UTC Comment hidden (obsolete)
Comment 23 Liz Rea 2016-03-29 21:57:31 UTC Comment hidden (obsolete)
Comment 24 Magnus Enger 2016-03-30 06:20:20 UTC
As far as I can tell, this bug has one patch signed off by both Marc and Liz. Updating status accordingly. Please set back to NSO if I missed something.
Comment 25 Jonathan Druart 2016-03-31 12:43:00 UTC
Created attachment 49734 [details] [review]
Bug 15793 - UX of circulation patron search with long lists of returned borrowers

Okay how about this:
This patch has no floating toolbar or names styled as links. I've removed the radio buttons. The row is clickable and will redirect you to the user's page.

EDIT: This patch makes the cursor a pointer when hovering over the patrons. The row will also be highlighted on hover to make it even clearer.
EDIT2: Removes unnecessary 'Select' button

To test:
1) Put in a patron search that will bring back a long list of patrons (ie the letter 'a')
2) Select a patron by clicking anywhere on the row - confirm you are taken to the correct patron page

Sponsored-by: Catalyst IT

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Submit button removed, patron selection on this screen much better for long lists (and short ones as well.)

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 26 Brendan Gallagher 2016-03-31 17:14:59 UTC
Pushed to Master - Should be in the May 2016 release. Thanks!